use std::io::{read_to_string, stdin};

fn main() {
    let temp = read_to_string(stdin()).unwrap();
    let mut iter = temp
        .split_ascii_whitespace()
        .map(|x| x.parse::<usize>().unwrap());

    let n = iter.next().unwrap();
    let q = iter.next().unwrap();

    let blacks = (0..q).map(|_| iter.next().unwrap()).collect::<Vec<usize>>();
}
